Threefish_Base< BS > Struct Template Reference

Threefish block cipher base class. More...

`#include <threefish.h>`

## Public Types

typedef SecBlock< word64, AllocatorWithCleanup< word64, true > > | AlignedSecBlock64

## Public Member Functions

void | SetTweak (const NameValuePairs &params)

## Public Attributes

AlignedSecBlock64 | m_wspace
AlignedSecBlock64 | m_rkey
AlignedSecBlock64 | m_tweak

## Detailed Description

template<unsigned int BS>
struct Threefish_Base< BS >

Threefish block cipher base class.

Template Parameters

  BS | block size of the cipher, in bytes

User code should use Threefish256, Threefish512, Threefish1024

See also
  Threefish256, Threefish512, Threefish1024, Threefish

Since
  Crypto++ 6.0

Definition at line 40 of file threefish.h.

## Member Typedef Documentation

## AlignedSecBlock64

template<unsigned int BS>

typedef SecBlock<word64, AllocatorWithCleanup<word64, true> > Threefish_Base< BS >::AlignedSecBlock64

Definition at line 61 of file threefish.h.

## Constructor & Destructor Documentation

## ~Threefish_Base()

template<unsigned int BS>

virtual Threefish_Base< BS >::~Threefish_Base | ( |  | ) |

inline virtual

Definition at line 42 of file threefish.h.

## Member Function Documentation

## SetTweak()

template<unsigned int BS>

void Threefish_Base< BS >::SetTweak | ( | const NameValuePairs & | params | ) |

inline

Definition at line 44 of file threefish.h.

## Member Data Documentation

## m_wspace

template<unsigned int BS>

AlignedSecBlock64 Threefish_Base< BS >::m_wspace

mutable

Definition at line 62 of file threefish.h.

## m_rkey

template<unsigned int BS>

AlignedSecBlock64 Threefish_Base< BS >::m_rkey

Definition at line 63 of file threefish.h.

## m_tweak

template<unsigned int BS>

AlignedSecBlock64 Threefish_Base< BS >::m_tweak

Definition at line 64 of file threefish.h.

The documentation for this struct was generated from the following file:

- threefish.h